“Index was outside the bounds of the array” while connecting to SQL Server 2012 instance using lower version SSMS


When you try to connect SQL server 2012 instance using SQL server 2008 or 2008 R2 management studio you receive below errors…

Cause:

This is because  SQL Server does not support backward compatibility. We cannot use lower version of SSMS to connect higher version of SQL, Server which means we cannot connect to SQL Server 2012 using SQL Server 2008 or 2008 R2 SSMS.

reference :

FIX:

There are multiple workarounds with some limitations as mentioned below…

1. Install Microsoft® SQL Server® 2012 Express – you can download it from here http://www.microsoft.com/en-us/download/details.aspx?id=29062. The only limitation is supported operating systems: Windows 7, Windows Server 2008 R2, Windows Server 2008 Service Pack 2, Windows Vista Service Pack 2.

2. If you have SQL Server 2008 or 2008 R2 install you may choose for this fix –http://support.microsoft.com/kb/2459027

Like this post and reply with your comments if this works for you!

Advertisements

One thought on ““Index was outside the bounds of the array” while connecting to SQL Server 2012 instance using lower version SSMS

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s